%define version 0.3.0
%define release alt1
%define origname TwistedLore
%setup_python_module twisted-lore

Name:           %{packagename}
Version:        %{version}
Release:        %{release}
Summary:        Twisted documentation system

Group:          Development/Python
License:        MIT
URL:            http://www.twistedmatrix.com
Packager:	Sergey Alembekov <rt@altlinux.ru>
Source0:        http://tmrc.mit.edu/mirror/twisted/Lore/0.3/%{origname}-%{version}.tar.bz2

BuildRequires:  python-module-twisted-core >= 2.5.0
BuildRequires:  python-devel

Requires:       python-module-twisted-core
Requires:       python-module-twisted-web

#%add_python_req_skip nevow

%description
Twisted is an event-based framework for internet applications.

Lore is a complete documentation system based on XHTML and can generate
documentation into other formats such as PDF, HTML.

%prep
%setup -q -n %{origname}-%{version}

%{__sed} -i 's/\r//' doc/howto/listings/lore/1st_example.html
%{__sed} -i 's/\r//' doc/howto/listings/lore/factory.py*
%{__sed} -i 's/\r//' doc/howto/listings/lore/spitters.py*
%{__sed} -i 's/\r//' doc/howto/listings/lore/plugins.tml

%build
%__python setup.py build

%install
%__python setup.py install --root $RPM_BUILD_ROOT

# Man pages
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
cp -a doc/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1/
rm -rf doc/man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README LICENSE NEWS doc/*
%{_mandir}/man1/*
%{_bindir}/bookify
%{_bindir}/lore

%{python_sitelibdir}/twisted/lore/

%{python_sitelibdir}/twisted/plugins/twisted_lore.py*

%changelog
* Fri Mar 30 2007 Sergey Alembekov <rt@altlinux.ru> 0.3.0-alt1
 - Build for new upstream version
